package cn.superdesk.uniorder.common.pagination;

//AnCriteria

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/10/14 下午3:44
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/14 下午3:44
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class PageQueryGenericParam<T extends AnBaseQueryCriteria> {

	/****************************************** 弃 start ******************************************/
	@Deprecated
	@ApiModelProperty("弃用-新方式不要用-留着是因为老的可能还在用")
	private int    pageNo;
	@Deprecated
	@ApiModelProperty("弃用-新方式不要用-留着是因为老的可能还在用")
	private int    pageSize;
	@Deprecated
	@ApiModelProperty("弃用-新方式不要用-留着是因为老的可能还在用")
	private String orderBy;
	/****************************************** 弃   end ******************************************/
	private T      conditions;

	public PageQueryGenericParam() {
	}

	public PageQueryGenericParam(int pageNo, int pageSize, String orderBy) {
		super();
		this.pageNo = pageNo;
		this.pageSize = pageSize;
		this.orderBy = orderBy;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public T getConditions() {
		return conditions;
	}

	public void setConditions(T conditions) {
		this.conditions = conditions;
	}
}
